<?php

use Illuminate\Support\Facades\Route;

Route::group(['middleware' => 'apipub', 'prefix' => 'v1', 'as' => 'apipub.'], function () {
    Route::group(['middleware' => 'token.check'], function () {
        Route::get('transactions/query', 'Transactions\ListTransactionsController@list')->name('transaction.list');
        Route::get('transactions/mappable/query/with-details', 'Transactions\ListMappableTransactionWithDetailsController@list')->name('transaction.mappable.list.with_details');
        Route::get('transactions/mappable/query', 'Transactions\ListMappableTransactionsController@list')->name('transaction.mappable.list');
        Route::get('groups/query', 'Transactions\ListGroupsController@list')->name('group.list');

        Route::group(['prefix' => 'feedback', 'as' => 'feedback.', 'namespace' => 'HelpMenu'], function () {
            Route::post('/generate', 'GenerateFeedbackUrlController@generate')->name('feedback.url.generate');
        });
    });
});
